﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Uploading Analytics Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Analytics Controls</h1>
        <p>Using the upload analytic control from JSON functionality, you can update the existing list of analytical controls or you can create new set of multiple analytical controls altogether.</p>
        <h2 id="UploadingAnalyticControls-UpdatingexistingAnalyticalControlusingJSON">Updating the Existing Analytics Controls using a JSON File</h2>
        <p>If your requirement is to update analytical controls, then you first need to export the existing Control JSONs. Once exported, open the JSON file in Notepad++ application and update the JSON as per your requirement and then re-upload the updated analytical control JSON. If you are updating an analytical control then you cannot specify the <strong>Control Suffix</strong> as you are updating the existing JSONs. Additionally, you can select <strong>Bulk Update</strong> as <strong>Yes</strong>, if you are updating the existing analytical controls.</p>
        <p>To update an existing analytical control using JSON, perform the following steps:</p>
        <ol>
            <li>Click <strong>Analytics &gt; Analytics Configuration List</strong>.</li>
            <li>
                <p>Select the <strong>Version 1</strong>&#160;tab.<br />A list of existing non-elastic analytical controls is&#160;displayed.<br /></p>
            </li>
            <li>For updating a single analytical control, you can search the analytical control by specifying the name and clicking Search.</li>
            <li>Once the search dialog box displays the analytical control, click <strong>Actions &gt; Export &gt; JSON</strong>.&#160;The searched analytical control is exported in JSON file.&#160;</li>
            <li>
                <p class="auto-cursor-target">Update the JSON file with necessary changes if any, such as query, risk, recommendation, category, subcategory.</p>
                <p>The field 'ANALYTICSNAME' cannot be updated when you are modifying the analytical control. Other than that other fields can be modified.</p>
            </li>
            <li>Once updated, save the JSON file.</li>
            <li>Click <strong>Actions &gt; Upload Analytical Control From JSON</strong> option.&#160;A dialog box 'Enter Details for Analytic Control Import' is displayed.</li>
            <li>Click <strong>Select</strong> and select the updated JSON file you want to import.&#160;</li>
            <li>Click <strong>Bulk Update</strong> as <strong>Yes</strong> because you want to update the existing analytical control with the uploaded JSON file.&#160;<br />Observe that Control Suffix option is non-editable as you are updating an existing analytical control, you cannot modify the analytical control name.</li>
            <li>In Application, select the endpoint for which you want to update the analytical control.</li>
            <li>Click <strong>Upload</strong>.</li>
        </ol>
        <p>The updated JSON file is uploaded and the analytical control details are updated based on changes. You can run the updated analytical control.</p>
        <h2 id="UploadingAnalyticControls-CreatingNewAnalyticalControlusingJSON">Creating New Analytical Control using JSON</h2>
        <p>New Analytical controls can also be created either 1 or multiple analytical controls using the JSON list. Add the analytical control details in a JSON file. For the format regarding&#160;analytical control, you can try exporting an analytical control as a template and then update the template with the new analytical control name, risk, recommendation, category, sub-category and other necessary details related with analytics. Multiple analytical controls in JSON can be separated by a comma (,) after the curly braces (}).&#160;&#160;</p>
        <p>If you are creating a new analytical control, you can also specify a&#160;<strong>Control Suffix</strong>&#160;to the existing name given for analytical name as you are creating a new analytical control. Select <strong>Bulk Update</strong> as <strong>No</strong>, as you are creating a new analytical control.</p>
        <p>To create a new analytical control using JSON, perform the following steps:</p>
        <ol>
            <li>Click <strong>Analytics &gt; Analytics Configuration List</strong>.</li>
            <li>
                <p>Select&#160;the <strong>Version 1</strong>&#160;tab.<br />A list of existing non-elastic analytical controls is displayed.</p>
            </li>
            <li>To have a template available for creating a new&#160;analytical control, export any existing control and then update it with values for new analytical control.</li>
            <li>Search the analytical control by specifying the name and clicking Search.</li>
            <li>Once the search dialog box displays the analytical control, click <strong>Actions &gt; Export &gt; JSON</strong>.&#160;The searched analytical control is exported in JSON file.&#160;</li>
            <li>
                <p class="auto-cursor-target">Update the JSON file with necessary changes for the new analytical control, including the ANALYTICSNAME, query, risk, recommendation, category, subcategory and so on.</p>
                <p>Specify the new analytical control name in the field 'ANALYTICSNAME'. Additionally, you can also specify a control suffix name, which you want to add to the ANALYTICSNAME for it to be a unique new analytical control.</p>
            </li>
            <li>Once updated, save the JSON file.</li>
            <li>Click <strong>Actions &gt; Upload Analytical Control From JSON</strong> option.&#160;A dialog box 'Enter Details for Analytic Control Import' is displayed.</li>
            <li>Click <strong>Select</strong> and select the JSON file you want to import.&#160;</li>
            <li>Click <strong>Bulk Update</strong> as <strong>No&#160;</strong>because you are creating a new analytical control with the uploaded JSON file.</li>
            <li>Observe that Control Suffix option is editable as you can also add a suffix name to the analytical control name.</li>
            <li>In Application, select the endpoint for which you want to update the analytical control.</li>
            <li>Click <strong>Upload</strong>.</li>
        </ol>
        <p>The updated JSON file is uploaded and new analytical control(s) are added to the list of analytical controls. You can run the new analytical controls.</p>
    </body>
</html>